{
  ...
}:
{
  config.machine = {
    allowUnfree = true;
    hostName = "Lilim";
    networkD = {
      enable = true;
      waitOnline = false;
    };
    administrators = [
      {
        name = "derped";
        id = 1337;
      }
    ];
    conffiles = [
      "etcfiles"
      "etcvars"
      "fonts"
      "networkmanager"
      "zsh"
    ];
    pkgs = [
      "base"
      "cpp"
      "dict"
      "extra"
      "haskell"
      "latex"
      "mail_utils"
      "nodejs"
      "nvim"
      "nvim::cmp"
      "nvim::fugitive"
      "nvim::go"
      "nvim::harpoon"
      "nvim::hurl"
      "nvim::kanagawa-nvim"
      "nvim::lsp"
      "nvim::lsp::bash"
      "nvim::lsp::emmet"
      "nvim::lsp::go"
      "nvim::lsp::harper"
      "nvim::lsp::ltex"
      "nvim::lsp::lua"
      "nvim::lsp::nix-nil"
      "nvim::lsp::python"
      "nvim::lsp::typescript"
      "nvim::lsp::yaml"
      "nvim::lualine"
      "nvim::nvim-highlight"
      "nvim::oil-nvim"
      "nvim::sniprun"
      "nvim::telescope"
      "nvim::tmux-navigate"
      "nvim::treesitter"
      "nvim::trim"
      "nvim::undotree"
      "nvim::which-key"
      "python3"
      "xpkgs"
    ];
    services = [
      "btrbk"
      "btrfs"
      "cups"
      "desktop"
      "desktop::sway"
      "impermanence"
      "mariaDB"
      "mullvad"
      "pipewire"
      "podman"
      "tmux"
      "udev"
    ];
    firewall = {
      enable = true;
      allowPing = true;
      allowedUDPPorts = [ 24642 ];
      allowedTCPPorts = [ 24642 ];
      allowedUDPPortRanges = [
        {
          from = 1714;
          to = 1764;
        }
      ];
      allowedTCPPortRanges = [
        {
          from = 1714;
          to = 1764;
        }
      ];
    };
  };
}
